summaryrefslogtreecommitdiff
path: root/tools/prepall
diff options
context:
space:
mode:
authorJohn Wiegley <johnw@newartisans.com>2009-02-21 16:45:19 -0400
committerJohn Wiegley <johnw@newartisans.com>2009-02-21 16:45:19 -0400
commit3ab52e74b1de1c0be647eb36386ef5e16baeb60d (patch)
tree7f2b9db65ab74b3eda2e75c7c1062cc3f75e42fc /tools/prepall
parent3d326956ef79cd1b623afa65b994a26b17dc6f24 (diff)
downloadfork-ledger-3ab52e74b1de1c0be647eb36386ef5e16baeb60d.tar.gz
fork-ledger-3ab52e74b1de1c0be647eb36386ef5e16baeb60d.tar.bz2
fork-ledger-3ab52e74b1de1c0be647eb36386ef5e16baeb60d.zip
Tools changes to build for multiple targets
This makes it easier for me to build a version of ledger with optimizations, one for coverage analysis, one for profiling, etc.
Diffstat (limited to 'tools/prepall')
-rwxr-xr-xtools/prepall12
1 files changed, 12 insertions, 0 deletions
diff --git a/tools/prepall b/tools/prepall
new file mode 100755
index 00000000..d6eedfdd
--- /dev/null
+++ b/tools/prepall
@@ -0,0 +1,12 @@
+#!/bin/sh
+
+set -e
+
+tools/myacprep --opt
+tools/myacprep --gprof
+tools/myacprep --gcov
+tools/myacprep
+
+touch ~/Products/ledger-gcov/config.status
+touch ~/Products/ledger-gprof/config.status
+touch ~/Products/ledger-opt/touch config.status